/**
 * JASMINe
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: jasmine@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jasmine.rules.rules;

import java.io.File;
import java.io.FilenameFilter;
import java.util.ArrayList;
import java.util.List;

import javax.ejb.Stateful;

import org.objectweb.jasmine.ra.DroolsWorkingMemory;

@Stateful
public class RulesInterface implements RulesInterfaceRemote {

    public void save(byte[] bytes, String type, String fileName)
            throws Exception {
        DroolsWorkingMemory droolsWorkingMemory = DroolsWorkingMemory
                .getInstance();

        if (type.toUpperCase().equals("XML")) {
            droolsWorkingMemory.addFileToWorking(bytes, fileName);
        } else {
            if (type.toUpperCase().equals("DRL")) {
                droolsWorkingMemory.addFileToWorking(bytes, fileName);
            } else {
                throw new Exception("The type of the file is not valid");
            }
        }
    }

    public List<String> fileUsed() {
        String location = System.getenv("JASMINE_RULES");
        File directory = new File(location);
        List<String> filesName = new ArrayList<String>();
        if (directory.isDirectory()) {

            // XML files
            FilenameFilter filenameXMLFilter = new XMLFilter();
            File[] filesXML = directory.listFiles(filenameXMLFilter);
            for (File file : filesXML) {
                filesName.add(file.getName());
            }

            // DRL files
            FilenameFilter filenameDRLFilter = new DRLFilter();
            File[] filesDRL = directory.listFiles(filenameDRLFilter);
            for (File file : filesDRL) {
                filesName.add(file.getName());
            }
        }
        return filesName;
    }

}
