/**
 * JASMINe
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: jasmine@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jasmine.rules.rules;

import java.util.List;

import javax.ejb.Remote;

@Remote
public interface RulesInterfaceRemote {

    /**
     * Saves the data in function of the type of file in a file
     * 
     * @param bytes
     *            data
     * @param type
     *            type of file XML or DRL
     * @param fileName
     *            the name of the file
     */
    void save(byte[] bytes, String type, String fileName) throws Exception;

    /**
     * Lists the files in $JASMINE_RULES directory
     * 
     * @return the list of filenames
     */
    List<String> fileUsed();
}
